com.sun.jna.platform.win32

## Class WinBase.SECURITY_ATTRIBUTES

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinBase.SECURITY_ATTRIBUTES

- Enclosing interface:
    WinBase

      @Structure.FieldOrder(value={"dwLength","lpSecurityDescriptor","bInheritHandle"})
      public static class WinBase.SECURITY_ATTRIBUTES
      extends Structure

  The SECURITY_ATTRIBUTES structure contains the security descriptor for an object and specifies whether the handle retrieved by specifying this structure is inheritable. This structure provides security settings for objects created by various functions, such as `Kernel32.CreateFile(java.lang.String, int, int, com.sun.jna.platform.win32.WinBase.SECURITY_ATTRIBUTES, int, int, com.sun.jna.platform.win32.WinNT.HANDLE)`, `Kernel32.CreatePipe(com.sun.jna.platform.win32.WinNT.HANDLEByReference, com.sun.jna.platform.win32.WinNT.HANDLEByReference, com.sun.jna.platform.win32.WinBase.SECURITY_ATTRIBUTES, int)`, or `Advapi32.RegCreateKeyEx(com.sun.jna.platform.win32.WinReg.HKEY, java.lang.String, int, java.lang.String, int, int, com.sun.jna.platform.win32.WinBase.SECURITY_ATTRIBUTES, com.sun.jna.platform.win32.WinReg.HKEYByReference, com.sun.jna.ptr.IntByReference)`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `bInheritHandle` A Boolean value that specifies whether the returned handle is inherited when a new process is created
    `WinDef.DWORD` | `dwLength` The size of the structure, in bytes.
    `Pointer` | `lpSecurityDescriptor` A pointer to a SECURITY_DESCRIPTOR structure that controls access to the object.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SECURITY_ATTRIBUTES()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwLength

          public WinDef.DWORD dwLength

      The size of the structure, in bytes.

    - #### lpSecurityDescriptor

          public Pointer lpSecurityDescriptor

      A pointer to a SECURITY_DESCRIPTOR structure that controls access to the object.

    - #### bInheritHandle

          public boolean bInheritHandle

      A Boolean value that specifies whether the returned handle is inherited when a new process is created

  - ### Constructor Detail

    - #### SECURITY_ATTRIBUTES

          public SECURITY_ATTRIBUTES()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.